using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace windowApplication
{
    /// <summary>
    /// Interaction logic for CustomRadWindow.xaml
    /// </summary>
    public partial class CustomRadWindow : RadWindow, INotifyPropertyChanged
    {
        private ObservableCollection<Uri> _PhotoUris;
        private ObservableCollection<string> _photos;

        public ObservableCollection<Uri> PhotoUris
        {
            get { return _PhotoUris; }
            set { _PhotoUris = value; }
        }

        public ObservableCollection<string> Photos
        {
            get
            {
                return _photos;
            }
            set
            {
                _photos = value;
                DisplayPhotos();
                if (this.PropertyChanged != null)
                {
                    this.PropertyChanged(this, new PropertyChangedEventArgs("Photos"));
                }
            }
        }

        public CustomRadWindow()
        {
            InitializeComponent();
            this.DataContext = PhotoUris;

            this.Photos = new ObservableCollection<string> { "Images/1.jpg", "Images/2.jpg", "Images/3.jpg", "Images/4.jpg" };
        }

        public void DisplayPhotos()
        {
            PhotoUris = new ObservableCollection<Uri>();
            foreach (var _photo in Photos)
            {
                PhotoUris.Add(new Uri(_photo, UriKind.Relative));
            }

            PhotoFlow.ItemsSource = PhotoUris;
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
